Ryzom - Feature # 829

Status: Closed Priority: High

Author: vl Category: Client: General
Created: 05/01/2010 Assignee: kervala
Updated: 05/28/2010 Due date:

Subiject: Make Ryzom client working with latest liblua, luabind

Description

Currently, Ryzom client works with liblua 5.0 only.
Version 5.1 compiled but there's some bugs.

History

#1 - 05/08/2010 01:13 am - ratmice
- File luabind-lua.diff added

2 things in this patch, lua_dll.cpp changes, lua_dll.cpp was declaring some stuff which lua was providing, but the rest of the file which actually does the

symbol copying magic and then trampolining only get run on windows,

so the defines just refrain from declaring anything on non-windows.

lua_ihm.cpp updates to compile with the latest luabind, i'm not entire convinced its implemented correctly (where does the L go?!?)

so... first part of the patch seems right, not sure about the 2nd.

#2 - 05/08/2010 08:17 pm - ratmice

so, the luabind portion of that patch aint no good, sorry.

#3 - 05/08/2010 08:21 pm - kervala

Feel free to experiments :)

code/ryzom/client/src/interface_v3/lua_ihm.cpp is own big Lua issue :)

#4 - 05/09/2010 03:50 pm - artart78
- File luabind-diff-2.dlff added

| made a patch based on ratmice's one. It doesn't compile, but | don't know why at all, so | submit it here anyway, and maybe someone could fix it. The
problems is related to enums.

#5 - 05/09/2010 09:07 pm - Letto

i got it "working" by commenting out this 2 lines
//LUABIND_ENUM(PVP_CLAN::TPVPClan, "TPVPClan", PVP_CLAN::NbClans, PVP_CLAN::toString)
/ILUABIND_ENUM(BONUS_MALUS:: TBonusMalusSpecialTT, "TBonusMalusSpecial TT", BONUS_MALUS::NbSpecialTT,

BONUS_MALUS::toString)
are these 2 important?
#6 - 05/10/2010 08:34 pm - kervala
- Status changed from New to Assigned
- Assignee set to kervala
- Priority changed from Normal to High
#7 - 05/10/2010 08:58 pm - kervala

Thanks a lot ratmice and artart78 for providing patches :)

Enums were working fine with little modifications (at least on Windows).

So | updated externals with latest Lua and Luabind versions and put them by default to link with client :)

However, we need to test if all is working as before :)

#8 - 05/11/2010 11:23 am - kervala

- Subject changed from Make Ryzom client working with latest liblua, luabind, libwww to Make Ryzom client working with latest liblua, luabind

- Status changed from Assigned to Resolved
- Target version set to Version 0.8.0
- % Done changed from 0 to 100

#9 - 05/28/2010 05:22 pm - vI
- Status changed from Resolved to Closed

Files

luabind-lua.diff 5.6 kB 05/08/2010 ratmice

luabind-diff-2.diff 11.1 kB 05/09/2010 artart78
